MODULE paramet_mod_h
  USE dimensions_mod, ONLY: iim, jjm, llm, ndm

  IMPLICIT NONE; PRIVATE
  PUBLIC iip1, iip2, jjp1, llmp1, llmm1, ip1jm, ip1jmp1, &
          ip1jmi1, ijp1llm, ijmllm

  INTEGER  iip1, iip2, jjp1, llmp1, llmm1
  INTEGER  ip1jm, ip1jmp1, ip1jmi1, ijp1llm
  INTEGER  ijmllm

  PARAMETER(iip1 = iim + 1, iip2 = iim + 2, jjp1 = jjm + 1)
  PARAMETER(llmp1 = llm + 1, llmm1 = llm - 1)
  PARAMETER(ip1jm = iip1 * jjm, ip1jmp1 = iip1 * jjp1)
  PARAMETER(ip1jmi1 = ip1jm - iip1)
  PARAMETER(ijp1llm = ip1jmp1 * llm, ijmllm = ip1jm * llm)
END MODULE paramet_mod_h
